Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class HeightFieldMapping

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.HeightFieldMapping

All Implemented Interfaces:
  Manageable, Shareable

Direct Known Subclasses:
  RectangularHeightFieldMapping, SphericalHeightFieldMapping

    public abstract class HeightFieldMapping

extends ShareableBase

Nested Class Summary
`static class` | `HeightFieldMapping.Type`

Field Summary
`static HeightFieldMapping.Type` | `$TYPE`
`static SCOType.Field` | `scale$FIELD`
`static SCOType.Field` | `water$FIELD`
`static SCOType.Field` | `zeroLevel$FIELD`

Constructor Summary
`HeightFieldMapping()`

Method Summary
`float` | `getScale()`
`float` | `getZeroLevel()`
`boolean` | `isWater()`
`abstract void` | `map(int x, int y, int sx, int sy, float height, Tuple3f out)`
`void` | `setScale(float value)`
`void` | `setWater(boolean value)`
`void` | `setZeroLevel(float value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final HeightFieldMapping.Type $TYPE

### scale$FIELD

    public static final SCOType.Field scale$FIELD

### water$FIELD

    public static final SCOType.Field water$FIELD

### zeroLevel$FIELD

    public static final SCOType.Field zeroLevel$FIELD

Constructor Detail

### HeightFieldMapping

    public HeightFieldMapping()

Method Detail

### getScale

    public float getScale()

### getZeroLevel

    public float getZeroLevel()

### isWater

    public boolean isWater()

### map

    public abstract void map(int x,
                             int y,
                             int sx,
                             int sy,
                             float height,
                             Tuple3f out)

### setScale

    public void setScale(float value)

### setWater

    public void setWater(boolean value)

### setZeroLevel

    public void setZeroLevel(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD